-- -------------------------------------------------------------------------- --
-- CharScanner PvP Data                                                       --
-- -------------------------------------------------------------------------- --
-- Achievement and Statistics Data                                            --
-- -------------------------------------------------------------------------- --

CharScanner_PvP_Data = {}

-- ------------------------------------------------------------------------------------------------------------------ --
-- General START                                                                                                      --
-- ------------------------------------------------------------------------------------------------------------------ --
CharScanner_PvP_Data[1] = {}
CharScanner_PvP_Data[1].name = "PvPGeneral"
CharScanner_PvP_Data[1].achievement = {}
CharScanner_PvP_Data[1].achievement = {
[1]  = {id  =  238},             -- An Honorable Kill
[2]  = {id  =  513},             -- 100 Honorable Kills
[3]  = {id  =  515},             -- 500 Honorable Kills
[4]  = {id  =  516},             -- 1000 Honorable Kills
[5]  = {id  =  512},             -- 5000 Honorable Kills
[6]  = {id  =  509},             -- 10000 Honorable Kills
[7]  = {id  =  239},             -- 25000 Honorable Kills
[8]  = {id  =  869},             -- 50000 Honorable Kills
[9]  = {id  =  870},             -- 100000 Honorable Kills
[10] = {id  =  5363},            -- 250000 Honorable Kills
[11] = {Aid =  230, Hid = 1175}, -- Battlemaster
[12] = {Aid =  610, Hid =  616}, -- Bosses: Death to the Warchief! (ALLIANCE) | Death to the King! (HORDE)
[13] = {Aid =  611, Hid =  617}, -- Bosses: Bleeding Bloodhoof (ALLIANCE) | Immortal No More (HORDE)
[14] = {Aid =  612, Hid =  615}, -- Bosses: Downing the Dark Lady (ALLIANCE) | Downing the Dark Lady (ALLIANCE)
[15] = {Aid =  613, Hid =  618}, -- Bosses: Killed in Quel'Thalas (ALLIANCE) | Putting Out the Light (HORDE)
[16] = {id  = 1157},             -- Duel-icious
[17] = {Aid =  614, Hid =  619}, -- Bosses: For The Alliance! (ALLIANCE) | For The Horde! (HORDE)
[18] = {Aid =  701, Hid =  700}, -- Freedom of the Alliance (ALLIANCE) | Freedom of the Horde (HORDE)
[19] = {Aid = 2016, Hid = 2017}, -- Grizzled Veteran
[20] = {id  =  396},             -- Gurubashi Arena Grand Master
[21] = {id  =  389},             -- Gurubashi Arena Master
[22] = {Aid =  246, Hid = 1005}, -- Know Thy Enemy
[23] = {id  =  247},             -- Make Love, Not Warcraft
[24] = {Aid =  907, Hid =  714}, -- Reputation: The Justicar (ALLIANCE) | The Conqueror (HORDE)
[25] = {id  =  245},             -- That Takes Class
[26] = {id  =  229},             -- The Grim Reaper
[27] = {Aid =  604, Hid =  603}, -- Wrath of the Alliance (ALLIANCE) | Wrath of the Horde (HORDE)
[28] = {id  =  231},             -- Wrecking Ball
}
CharScanner_PvP_Data[1].achievementTotal = #CharScanner_PvP_Data[1].achievement
CharScanner_PvP_Data[1].statistic = {}
CharScanner_PvP_Data[1].statistic = {
[1] = {totalHK    =  588}, -- Total Honorable Kills
}
CharScanner_PvP_Data[1].statisticHide = true
CharScanner_PvP_Data[1].statisticTotal = #CharScanner_PvP_Data[1].statistic
-- ------------------------------------------------------------------------------------------------------------------ --
-- General START                                                                                                      --
-- ------------------------------------------------------------------------------------------------------------------ --



-- ------------------------------------------------------------------------------------------------------------------ --
-- Battlegrounds START                                                                                                --
-- ------------------------------------------------------------------------------------------------------------------ --
CharScanner_PvP_Data[2] = {}
CharScanner_PvP_Data[2].name = "Battlegrounds"

-- -------------------------------------------------------------------------- --
-- Alterac Valley START                          (Patch 1.5.0) June 7th, 2005 --
-- -------------------------------------------------------------------------- --
CharScanner_PvP_Data[2][1] = {}
CharScanner_PvP_Data[2][1].name = "Alterac"
CharScanner_PvP_Data[2][1].achievement = {}
CharScanner_PvP_Data[2][1].achievement = {
[1]  = {Aid = 1167, Hid = 1168}, -- Master of Alterac Valley
[2]  = {id  =  221},             -- Alterac Grave Robber
[3]  = {id  =  582},             -- Alterac Valley All-Star
[4]  = {id  =  219},             -- Alterac Valley Veteran
[5]  = {id  =  218},             -- Alterac Valley Victory
[6]  = {Aid =  225, Hid = 1164}, -- Everything Counts
[7]  = {Aid =  709, Hid =  708}, -- Hero of the Stormpike Guard (ALLIANCE) | Hero of the Frostwolf Clan (HORDE)
[8]  = {Aid = 1151, Hid =  224}, -- Loyal Defender
[9]  = {Aid =  707, Hid =  706}, -- Mount: Stormpike Battle Charger (ALLIANCE) | Frostwolf Howler (HORDE)
[10] = {Aid =  220, Hid =  873}, -- Stormpike Perfection (ALLIANCE) | Frostwolf Perfection (HORDE)
[11] = {id  =  226},             -- The Alterac Blitz
[12] = {id  =  223},             -- The Sickly Gazelle
[13] = {id  = 1166},             -- To the Looter Go the Spoils
[14] = {id  =  222},             -- Tower Defense
}
CharScanner_PvP_Data[2][1].achievementTotal = #CharScanner_PvP_Data[2][1].achievement
CharScanner_PvP_Data[2][1].statistic = {}
CharScanner_PvP_Data[2][1].statistic = {
[1] = {matches =   53}, -- Alterac Valley battles
[2] = {wins    =   49}, -- Alterac Valley victories
[3] = {kills   = 1113}, -- Alterac Valley Honorable Kills
}
CharScanner_PvP_Data[2][1].statisticHide = true
CharScanner_PvP_Data[2][1].statisticTotal = #CharScanner_PvP_Data[2][1].statistic
-- -------------------------------------------------------------------------- --
-- Alterac Valley END                            (Patch 1.5.0) June 7th, 2005 --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- Warsong Gulch START                           (Patch 1.5.0) June 7th, 2005 --
-- -------------------------------------------------------------------------- --
CharScanner_PvP_Data[2][2] = {}
CharScanner_PvP_Data[2][2].name = "Warsong"
CharScanner_PvP_Data[2][2].achievement = {}
CharScanner_PvP_Data[2][2].achievement = {
[1]  = {Aid = 1172, Hid = 1173}, -- Master of Warsong Gulch
[2]  = {id  =  199},             -- Capture the Flag
[3]  = {id  =  872},             -- Frenzied Defender
[4]  = {id  =  204},             -- Ironman
[5]  = {Aid =  203, Hid = 1251}, -- Not In My House
[6]  = {id  = 1259},             -- Not So Fast
[7]  = {id  =  200},             -- Persistent Defender
[8]  = {Aid =  202, Hid = 1502}, -- Quick Cap
[9]  = {id  =  207},             -- Save The Day
[10] = {Aid =  206, Hid = 1252}, -- Supreme Defender
[11] = {id  =  201},             -- Warsong Expedience
[12] = {id  =  168},             -- Warsong Gulch Perfection
[13] = {id  =  167},             -- Warsong Gulch Veteran
[14] = {id  =  166},             -- Warsong Gulch Victory
[15] = {Aid =  713, Hid =  712}, -- Reputation: Silverwing Sentinel (ALLIANCE) | Warsong Outrider (HORDE)
}
CharScanner_PvP_Data[2][2].achievementTotal = #CharScanner_PvP_Data[2][2].achievement
CharScanner_PvP_Data[2][2].statistic = {}
CharScanner_PvP_Data[2][2].statistic = {
[1] = {matches =   52}, -- Warsong Gulch battles
[2] = {wins    =  105}, -- Warsong Gulch victories
[3] = {kills   = 1115}, -- Warsong Gulch Honorable Kills
}
CharScanner_PvP_Data[2][2].statisticHide = true
CharScanner_PvP_Data[2][2].statisticTotal = #CharScanner_PvP_Data[2][2].statistic
-- -------------------------------------------------------------------------- --
-- Warsong Gulch END                             (Patch 1.5.0) June 7th, 2005 --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- Arathi Basin START                      (Patch 1.7.0) September 13th, 2005 --
-- -------------------------------------------------------------------------- --
CharScanner_PvP_Data[2][3] = {}
CharScanner_PvP_Data[2][3].name = "Arathi"
CharScanner_PvP_Data[2][3].achievement = {}
CharScanner_PvP_Data[2][3].achievement = {
[1]  = {Aid = 1169, Hid = 1170}, -- Master of Arathi Basin
[2]  = {id  =  583},             -- Arathi Basin All-Star
[3]  = {id  =  584},             -- Arathi Basin Assassin
[4]  = {id  =  165},             -- Arathi Basin Perfection
[5]  = {id  =  155},             -- Arathi Basin Veteran
[6]  = {id  =  154},             -- Arathi Basin Victory
[7]  = {id  =   73},             -- Disgracin' The Basin
[8]  = {id  =  159},             -- Let's Get This Done
[9]  = {id  =  158},             -- Me and the Cappin' Makin' it Happen
[10] = {id  = 1153},             -- Overly Defensive
[11] = {id  =  161},             -- Resilient Victory
[12] = {id  =  156},             -- Territorial Dominance
[13] = {id  =  157},             -- To The Rescue!
[14] = {id  =  162},             -- We Had It All Along *cough*
[15] = {Aid =  711, Hid =  710}, -- Reputation: Knight of Arathor (ALLIANCE) | The Defiler (HORDE)
}
CharScanner_PvP_Data[2][3].achievementTotal = #CharScanner_PvP_Data[2][3].achievement
CharScanner_PvP_Data[2][3].statistic = {}
CharScanner_PvP_Data[2][3].statistic = {
[1] = {matches =   55}, -- Arathi Basin battles
[2] = {wins    =   51}, -- Arathi Basin victories
[3] = {kills   = 1114}, -- Arathi Basin Honorable Kills
}
CharScanner_PvP_Data[2][3].statisticHide = true
CharScanner_PvP_Data[2][3].statisticTotal = #CharScanner_PvP_Data[2][3].statistic
-- -------------------------------------------------------------------------- --
-- Arathi Basin END                        (Patch 1.7.0) September 13th, 2005 --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- Eye of the Storm START                                     Burning Crusade --
-- -------------------------------------------------------------------------- --
CharScanner_PvP_Data[2][4] = {}
CharScanner_PvP_Data[2][4].name = "EyeOfTheStorm"
CharScanner_PvP_Data[2][4].achievement = {}
CharScanner_PvP_Data[2][4].achievement = {
[1]  = {id  = 1171},             -- Master of Eye of the Storm
[2]  = {id  =  223},             -- Bloodthirsty Berserker
[3]  = {id  =  216},             -- Bound for Glory
[4]  = {id  =  784},             -- Eye of the Storm Domination
[5]  = {id  =  209},             -- Eye of the Storm Veteran
[6]  = {id  =  208},             -- Eye of the Storm Victory
[7]  = {id  =  214},             -- Flurry
[8]  = {id  =  212},             -- Storm Capper
[9]  = {id  =  211},             -- Storm Glory
[10] = {id  =  213},             -- Stormtrooper
[11] = {id  =  587},             -- Stormy Assassin
[12] = {id  = 1258},             -- Take a Chill Pill
[13] = {id  =  783},             -- The Perfect Storm
}
CharScanner_PvP_Data[2][4].achievementTotal = #CharScanner_PvP_Data[2][4].achievement
CharScanner_PvP_Data[2][4].statistic = {}
CharScanner_PvP_Data[2][4].statistic = {
[1] = {matches =   54}, -- Eye of the Storm battles
[2] = {wins    =   50}, -- Eye of the Storm victories
[3] = {kills   = 1112}, -- Eye of the Storm Honorable Kills
}
CharScanner_PvP_Data[2][4].statisticHide = true
CharScanner_PvP_Data[2][4].statisticTotal = #CharScanner_PvP_Data[2][4].statistic
-- -------------------------------------------------------------------------- --
-- Eye of the Storm END                                       Burning Crusade --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- Strand of the Ancients START                        Wrath of the Lich King --
-- -------------------------------------------------------------------------- --
CharScanner_PvP_Data[2][5] = {}
CharScanner_PvP_Data[2][5].name = "Strand"
CharScanner_PvP_Data[2][5].achievement = {}
CharScanner_PvP_Data[2][5].achievement = {
[1]  = {Aid = 2194, Hid = 2195}, -- Master of Strand of the Ancients
[2]  = {id  = 2191},             -- Ancient Courtyard Protector
[3]  = {id  = 1766},             -- Ancient Protector
[4]  = {id  = 2189},             -- Artillery Expert
[5]  = {id  = 1763},             -- Artillery Veteran
[6]  = {Aid = 1757, Hid = 2200}, -- Defense of the Ancients
[7]  = {id  = 2190},             -- Drop it now!
[8]  = {id  = 1764},             -- Drop it!
[9]  = {id  = 2193},             -- Explosives Expert
[10] = {Aid = 1762, Hid = 2192}, -- Not Even a Scratch
[11] = {id  = 1765},             -- Steady Hands
[12] = {id  = 1310},             -- Storm the Beach
[13] = {id  = 1309},             -- Strand of the Ancients Veteran
[14] = {id  = 1308},             -- Strand of the Ancients Victory
[15] = {id  = 1761},             -- The Dapper Sapper
}
CharScanner_PvP_Data[2][5].achievementTotal = #CharScanner_PvP_Data[2][5].achievement
CharScanner_PvP_Data[2][5].statistic = {}
CharScanner_PvP_Data[2][5].statistic = {
[1] = {matches = 1549}, -- Strand of the Ancients battles
[2] = {wins    = 1550}, -- Strand of the Ancients victories
[3] = {kills   = 1486}, -- Strand of the Ancients Honorable Kills
}
CharScanner_PvP_Data[2][5].statisticHide = true
CharScanner_PvP_Data[2][5].statisticTotal = #CharScanner_PvP_Data[2][5].statistic
-- -------------------------------------------------------------------------- --
-- Strand of the Ancients END                          Wrath of the Lich King --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- Isle of Conquest START                      (Patch 3.2.0) August 4th, 2009 --
-- -------------------------------------------------------------------------- --
CharScanner_PvP_Data[2][6] = {}
CharScanner_PvP_Data[2][6].name = "IsleOfConquest"
CharScanner_PvP_Data[2][6].achievement = {}
CharScanner_PvP_Data[2][6].achievement = {
[1]  = {Aid = 3857, Hid = 3957}, -- Master of Isle of Conquest
[2]  = {id  = 3848},             -- A-bomb-inable
[3]  = {id  = 3849},             -- A-bomb-ination
[4]  = {id  = 3853},             -- All Over the Isle
[5]  = {id  = 3854},             -- Back Door Job
[6]  = {id  = 3852},             -- Cut the Blue Wire... No the Red Wire!
[7]  = {Aid = 3856, Hid = 4256}, -- Demolition Derby
[8]  = {id  = 3847},             -- Four Car Garage
[9]  = {id  = 3855},             -- Glaive Grave
[10] = {id  = 3845},             -- Isle of Conquest All-Star
[11] = {id  = 3777},             -- Isle of Conquest Veteran
[12] = {id  = 3776},             -- Isle of Conquest Victory
[13] = {Aid = 3851, Hid = 4177}, -- Mine
[14] = {id  = 3850},             -- Mowed Down
[15] = {Aid = 3846, Hid = 4176}, -- Resource Glut
}
CharScanner_PvP_Data[2][6].achievementTotal = #CharScanner_PvP_Data[2][6].achievement
CharScanner_PvP_Data[2][6].statistic = {}
CharScanner_PvP_Data[2][6].statistic = {
[1] = {matches = 4096}, -- Isle of Conquest battles
[2] = {wins    = 4097}, -- Isle of Conquest victories
[3] = {kills   = 4779}, -- Isle of Conquest Honorable Kills
}
CharScanner_PvP_Data[2][6].statisticHide = true
CharScanner_PvP_Data[2][6].statisticTotal = #CharScanner_PvP_Data[2][6].statistic
-- -------------------------------------------------------------------------- --
-- Isle of Conquest END                        (Patch 3.2.0) August 4th, 2009 --
-- -------------------------------------------------------------------------- --
CharScanner_PvP_Data[2].achievementTotal = 0
CharScanner_PvP_Data[2].statisticTotal = 0
for i = 1, #CharScanner_PvP_Data[2] do
	CharScanner_PvP_Data[2].achievementTotal = CharScanner_PvP_Data[2].achievementTotal + CharScanner_PvP_Data[2][i].achievementTotal
	CharScanner_PvP_Data[2].statisticTotal = CharScanner_PvP_Data[2].statisticTotal + CharScanner_PvP_Data[2][i].statisticTotal
end
-- ------------------------------------------------------------------------------------------------------------------ --
-- Battlegrounds END                                                                                                  --
-- ------------------------------------------------------------------------------------------------------------------ --



-- ------------------------------------------------------------------------------------------------------------------ --
-- Arena START                                                                                                        --
-- ------------------------------------------------------------------------------------------------------------------ --
CharScanner_PvP_Data[3] = {}
CharScanner_PvP_Data[3].name = "Arena"

-- -------------------------------------------------------------------------- --
-- Arena 2v2 START                                                            --
-- -------------------------------------------------------------------------- --
CharScanner_PvP_Data[3][1] = {}
CharScanner_PvP_Data[3][1].name = "Arena2v2"
CharScanner_PvP_Data[3][1].achievement = {}
CharScanner_PvP_Data[3][1].achievement = {
[1]  = {id  =  399},             -- Just the Two of Us: 1550
[2]  = {id  =  400},             -- Just the Two of Us: 1750
[3]  = {id  =  401},             -- Just the Two of Us: 2000
[4]  = {id  = 1159},             -- Just the Two of Us: 2200
}
CharScanner_PvP_Data[3][1].achievementTotal = #CharScanner_PvP_Data[3][1].achievement
CharScanner_PvP_Data[3][1].statistic = {}
CharScanner_PvP_Data[3][1].statistic = {
[1] = {matches =  367}, -- 2v2 matches
[2] = {wins    =  366}, -- 2v2 victories
[3] = {kills   = 1111}, -- 2v2 Arena Honorable Kills
}
CharScanner_PvP_Data[3][1].statisticHide = true
CharScanner_PvP_Data[3][1].statisticTotal = #CharScanner_PvP_Data[3][1].statistic
-- -------------------------------------------------------------------------- --
-- Arena 2v2 END                                                              --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- Arena 3v3 START                                                            --
-- -------------------------------------------------------------------------- --
CharScanner_PvP_Data[3][2] = {}
CharScanner_PvP_Data[3][2].name = "Arena3v3"
CharScanner_PvP_Data[3][2].achievement = {}
CharScanner_PvP_Data[3][2].achievement = {
[1]  = {id  =  402},             -- Three's Company: 1550
[2]  = {id  =  403},             -- Three's Company: 1750
[3]  = {id  =  405},             -- Three's Company: 2000
[4]  = {id  = 1160},             -- Three's Company: 2200
}
CharScanner_PvP_Data[3][2].achievementTotal = #CharScanner_PvP_Data[3][2].achievement
CharScanner_PvP_Data[3][2].statistic = {}
CharScanner_PvP_Data[3][2].statistic = {
[1] = {matches =  365}, -- 3v3 matches
[2] = {wins    =  364}, -- 3v3 victories
[3] = {kills   = 1110}, -- 3v3 Arena Honorable Kills
}
CharScanner_PvP_Data[3][2].statisticHide = true
CharScanner_PvP_Data[3][2].statisticTotal = #CharScanner_PvP_Data[3][2].statistic
-- -------------------------------------------------------------------------- --
-- Arena 3v3 END                                                              --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- Arena 5v5 START                                                            --
-- -------------------------------------------------------------------------- --
CharScanner_PvP_Data[3][3] = {}
CharScanner_PvP_Data[3][3].name = "Arena5v5"
CharScanner_PvP_Data[3][3].achievement = {}
CharScanner_PvP_Data[3][3].achievement = {
[1]  = {id  =  406},             -- High Five: 1550
[2]  = {id  =  407},             -- High Five: 1750
[3]  = {id  =  404},             -- High Five: 2000
[4]  = {id  = 1161},             -- High Five: 2200
[5]  = {id  =  409},             -- Last Man Standing
}
CharScanner_PvP_Data[3][3].achievementTotal = #CharScanner_PvP_Data[3][3].achievement
CharScanner_PvP_Data[3][3].statistic = {}
CharScanner_PvP_Data[3][3].statistic = {
[1] = {matches =  363}, -- 5v5 matches
[2] = {wins    =  362}, -- 5v5 victories
[3] = {kills   = 1109}, -- 5v5 Arena Honorable Kills
}
CharScanner_PvP_Data[3][3].statisticHide = true
CharScanner_PvP_Data[3][3].statisticTotal = #CharScanner_PvP_Data[3][3].statistic
-- -------------------------------------------------------------------------- --
-- Arena 5v5 END                                                              --
-- -------------------------------------------------------------------------- --

-- -------------------------------------------------------------------------- --
-- Arena General START                                                        --
-- -------------------------------------------------------------------------- --
CharScanner_PvP_Data[3][4] = {}
CharScanner_PvP_Data[3][4].name = "ArenaGeneral"
CharScanner_PvP_Data[3][4].achievement = {}
CharScanner_PvP_Data[3][4].achievement = {
[1]  = {id  =  876},             -- Brutally Dedicated
[2]  = {id  = 2090},             -- Challenger
[3]  = {id  = 2093},             -- Rival
[4]  = {id  = 2092},             -- Duelist
[5]  = {id  = 2091},             -- Gladiator
[6]  = {id  =  408},             -- Hot Streak
[7]  = {id  = 1162},             -- Hotter Streak
[8]  = {id  =  398},             -- Mercilessly Dedicated
[9]  = {id  =  397},             -- Step Into The Arena
[10] = {id  = 1174},             -- The Arena Master
[11] = {id  =  875},             -- Vengefully Dedicated
[12] = {id  =  699},             -- World Wide Winner
}
CharScanner_PvP_Data[3][4].achievementTotal = #CharScanner_PvP_Data[3][4].achievement
CharScanner_PvP_Data[3][4].statistic = {}
CharScanner_PvP_Data[3][4].statistic = {
[1] = {misc    =  370}, -- Highest 2 man personal rating
[2] = {misc    =  374}, -- Highest 2 man team rating
[3] = {misc    =  595}, -- Highest 3 man personal rating
[4] = {misc    =  590}, -- Highest 3 man team rating
[5] = {misc    =  596}, -- Highest 5 man personal rating
[6] = {misc    =  589}, -- Highest 5 man team rating
}
CharScanner_PvP_Data[3][4].statisticTotal = #CharScanner_PvP_Data[3][4].statistic
-- -------------------------------------------------------------------------- --
-- Arena General END                                                          --
-- -------------------------------------------------------------------------- --

CharScanner_PvP_Data[3].achievementTotal = 0
CharScanner_PvP_Data[3].statisticTotal = 0
for i = 1, #CharScanner_PvP_Data[3] do
	CharScanner_PvP_Data[3].achievementTotal = CharScanner_PvP_Data[3].achievementTotal + CharScanner_PvP_Data[3][i].achievementTotal
	CharScanner_PvP_Data[3].statisticTotal = CharScanner_PvP_Data[3].statisticTotal + CharScanner_PvP_Data[3][i].statisticTotal
end
-- ------------------------------------------------------------------------------------------------------------------ --
-- Arena END                                                                                                          --
-- ------------------------------------------------------------------------------------------------------------------ --



-- ------------------------------------------------------------------------------------------------------------------ --
-- World PvP START                                                                                                    --
-- ------------------------------------------------------------------------------------------------------------------ --
CharScanner_PvP_Data[4] = {}
CharScanner_PvP_Data[4].name = "WorldPvP"

-- -------------------------------------------------------------------------- --
-- Wintergrasp START                         (Patch 3.0.2) October 14th, 2008 --
-- -------------------------------------------------------------------------- --
CharScanner_PvP_Data[4][1] = {}
CharScanner_PvP_Data[4][1].name = "Wintergrasp"
CharScanner_PvP_Data[4][1].achievement = {}
CharScanner_PvP_Data[4][1].achievement = {
[1]  = {Aid = 1752, Hid = 2776}, -- Master of Wintergrasp
[2]  = {id  = 2085},             -- 50 Stone Keeper's Shards
[3]  = {id  = 2086},             -- 100 Stone Keeper's Shards
[4]  = {id  = 2087},             -- 250 Stone Keeper's Shards
[5]  = {id  = 2088},             -- 500 Stone Keeper's Shards
[6]  = {id  = 2089},             -- 1000 Stone Keeper's Shards
[7]  = {id  = 2080},             -- Black War Mammoth
[8]  = {Aid = 1737, Hid = 2476}, -- Destruction Derby
[9]  = {id  = 1751},             -- Didn't Stand a Chance
[10] = {id  = 1727},             -- Leaning Tower
[11] = {id  = 1723},             -- Vehicular Gnomeslaughter
[12] = {id  = 2199},             -- Wintergrasp Ranger
[13] = {id  = 1718},             -- Wintergrasp Veteran
[14] = {id  = 1717},             -- Wintergrasp Victory
[15] = {id  = 1755},             -- Within Our Grasp
}
CharScanner_PvP_Data[4][1].achievementTotal = #CharScanner_PvP_Data[4][1].achievement
CharScanner_PvP_Data[4][1].statistic = {}
--CharScanner_PvP_Data[4][1].statistic = {
--[1] = {misc    =   52}, -- DUMMY
--}
CharScanner_PvP_Data[4][1].statisticHide = true
CharScanner_PvP_Data[4][1].statisticTotal = #CharScanner_PvP_Data[4][1].statistic
-- -------------------------------------------------------------------------- --
-- Wintergrasp END                           (Patch 3.0.2) October 14th, 2008 --
-- -------------------------------------------------------------------------- --
CharScanner_PvP_Data[4].achievementTotal = 0
CharScanner_PvP_Data[4].statisticTotal = 0
for i = 1, #CharScanner_PvP_Data[4] do
	CharScanner_PvP_Data[4].achievementTotal = CharScanner_PvP_Data[4].achievementTotal + CharScanner_PvP_Data[4][i].achievementTotal
	CharScanner_PvP_Data[4].statisticTotal = CharScanner_PvP_Data[4].statisticTotal + CharScanner_PvP_Data[4][i].statisticTotal
end
-- ------------------------------------------------------------------------------------------------------------------ --
-- World PvP END                                                                                                      --
-- ------------------------------------------------------------------------------------------------------------------ --